%define version 3.0pl2
%define release 3

Summary: Fix resolv.conf when using dhcp
Name: zz_dhcp_resolv
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermi Lab
Packager: Troy Dawson
Source1: dhcp.fix.dhclient-script
BuildRoot: %{_tmppath}/%{name}-%{version}
requires: initscripts
BuildArch: noarch

%description
When using dhcp the seach line in /etc/resolv.conf would only have
dhcp.fnal.gov and not fnal.gov.  This fixes that problem.

%install
mkdir -p $RPM_BUILD_ROOT/sbin/
cp -f %{SOURCE1} $RPM_BUILD_ROOT/sbin/
chmod 755 $RPM_BUILD_ROOT/sbin/*

%files
/sbin/dhcp.fix.dhclient-script

%post
file=/sbin/dhclient-script
if [ -f $file ] ; then
	fixfile=/sbin/dhcp.fix.dhclient-script
	originalfile=/sbin/original.dhclient-script
	if ! [ -f $originalfile ] ; then
		mv -f $file $originalfile
	fi
	/bin/cp -f $fixfile $file
else
	#this big mess is to fix a bad postun script I wrote in version 1.0
	file=/etc/sysconfig/network-scripts/ifup-post
	fixfile=/etc/sysconfig/network-scripts/dhcp.fix.ifup-post
	originalfile=/etc/sysconfig/network-scripts/original.ifup-post
	neworiginalfile=/etc/sysconfig/network-scripts/new.original.ifup-post
	if [ -f $originalfile ] ; then
		if ! [ -f $neworiginalfile ] ; then
			mv -f $originalfile $neworiginalfile
		fi
		/bin/cp -f $fixfile $originalfile
	else
		mv -f $file $originalfile
	fi
	/bin/cp -f $fixfile $file
fi

%postun
if [ "$1" = "0" ] ; then
	file=/sbin/dhclient-script
	originalfile=/sbin/original.dhclient-script
	if [ -f $originalfile ] ; then
		mv -f $originalfile $file 
	fi
	#this big mess is to fix a bad postun script I wrote in version 1.0
	file=/etc/sysconfig/network-scripts/ifup-post
	originalfile=/etc/sysconfig/network-scripts/original.ifup-post
	neworiginalfile=/etc/sysconfig/network-scripts/new.original.ifup-post
	if [ -f $neworiginalfile ] ; then
		mv -f $neworiginalfile $file
		rm -f $originalfile
	else
		mv -f $originalfile $file 
	fi
fi
